## org.eclipse.emf.ocl.uml.impl
Class UMLPackageImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.MinimalEObjectImpl
                  org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
                      org.eclipse.emf.ecore.impl.EModelElementImpl
                          org.eclipse.emf.ecore.impl.ENamedElementImpl
                              org.eclipse.emf.ecore.impl.EPackageImpl
                                  org.eclipse.emf.ocl.uml.impl.UMLPackageImpl

All Implemented Interfaces:
  Notifier, EModelElement, ENamedElement, EObject, EPackage, EStructuralFeature.Internal.DynamicValueHolder, InternalEObject, BasicExtendedMetaData.EPackageExtendedMetaData.Holder, UMLPackage

    public class UMLPackageImpl

extends EPackageImpl
implements UMLPackage

An implementation of the model Package.

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
`MinimalEObjectImpl.Container.Dynamic`

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl
`MinimalEObjectImpl.Container`

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`BasicEObjectImpl.EPropertiesHolder, BasicEObjectImpl.EPropertiesHolderBaseImpl, BasicEObjectImpl.EPropertiesHolderImpl`

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`BasicNotifierImpl.EAdapterList<E extends Object & Adapter>`

Nested classes/interfaces inherited from interface org.eclipse.emf.ocl.uml.UMLPackage
`UMLPackage.Literals`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.EPackage
`EPackage.Descriptor, EPackage.Registry`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`InternalEObject.EStore`

Field Summary
`static String` `copyright`

Fields inherited from class org.eclipse.emf.ecore.impl.EPackageImpl
`eClassifiers, ecoreFactory, ecorePackage, eFactoryInstance, eNameToEClassifierMap, ePackageExtendedMetaData, eSubpackages, IS_ABSTRACT, IS_CHANGEABLE, IS_COMPOSITE, IS_DERIVED, IS_GENERATED_INSTANCE_CLASS, IS_ID, IS_INTERFACE, IS_ORDERED, IS_RESOLVABLE, IS_RESOLVE_PROXIES, IS_SERIALIZABLE, IS_TRANSIENT, IS_UNIQUE, IS_UNSETTABLE, IS_VOLATILE, NS_PREFIX_EDEFAULT, NS_URI_EDEFAULT, nsPrefix, nsURI`

Fields inherited from class org.eclipse.emf.ecore.impl.ENamedElementImpl
`name, NAME_EDEFAULT`

Fields inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl
`eAnnotations, eFlags, EFROZEN, ELAST_EMODEL_ELEMENT_FLAG`

Fields inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
`eContainer`

Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

Fields inherited from interface org.eclipse.emf.ocl.uml.UMLPackage

`CALL_OPERATION_ACTION, CALL_OPERATION_ACTION__OPERATION, CALL_OPERATION_ACTION_FEATURE_COUNT, CONSTRAINT, CONSTRAINT__BODY, CONSTRAINT__CONSTRAINED_ELEMENT, CONSTRAINT__EANNOTATIONS, CONSTRAINT__INSTANCE_VAR_NAME, CONSTRAINT__NAME, CONSTRAINT__STEREOTYPE, CONSTRAINT_FEATURE_COUNT, eINSTANCE, eNAME, eNS_PREFIX, eNS_URI, SEND_SIGNAL_ACTION, SEND_SIGNAL_ACTION__SIGNAL, SEND_SIGNAL_ACTION_FEATURE_COUNT, TYPED_ELEMENT, TYPED_ELEMENT__EANNOTATIONS, TYPED_ELEMENT__NAME, TYPED_ELEMENT__TYPE, TYPED_ELEMENT_FEATURE_COUNT`

Fields inherited from interface org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder
`NIL`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Method Summary
`void` `createPackageContents()` Creates the meta-model objects for the package.
`EReference` `getCallOperationAction_Operation()`
`EClass` `getCallOperationAction()`
`EReference` `getConstraint_Body()`
`EReference` `getConstraint_ConstrainedElement()`
`EAttribute` `getConstraint_InstanceVarName()`
`EAttribute` `getConstraint_Stereotype()`
`EClass` `getConstraint()`
`EReference` `getSendSignalAction_Signal()`
`EClass` `getSendSignalAction()`
`EReference` `getTypedElement_Type()`
`EClass` `getTypedElement()`
`UMLFactory` `getUMLFactory()`
`static UMLPackage` `init()` Creates, registers, and initializes the Package for this model, and for any others upon which it depends.
`void` `initializePackageContents()` Complete the initialization of the package and its meta-model.

Methods inherited from class org.eclipse.emf.ecore.impl.EPackageImpl

`addAnnotation, addAnnotation, addAnnotation, addAnnotation, addEEnumLiteral, addEException, addEException, addEOperation, addEOperation, addEOperation, addEParameter, addEParameter, addEParameter, addEParameter, addEParameter, addETypeParameter, addETypeParameter, basicGetESuperPackage, basicSetEFactoryInstance, createEAttribute, createEClass, createEDataType, createEEnum, createEGenericType, createEGenericType, createEGenericType, createEReference, createResource, eBasicRemoveFromContainerFeature, eGet, eInverseAdd, eInverseRemove, eIsSet, eObjectForURIFragmentSegment, eSet, eSetProxyURI, eStaticClass, eUnset, fixEClassifiers, fixEEnumLiterals, fixEStructuralFeatures, fixInstanceClass, freeze, getEClassifier, getEClassifierGen, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getExtendedMetaData, getNsPrefix, getNsURI, initEAttribute, initEAttribute, initEAttribute, initEAttribute, initEAttribute, initEAttribute, initEAttribute, initEClass, initEClass, initEClass, initEDataType, initEDataType, initEDataType, initEEnum, initEOperation, initEReference, initEReference, initEReference, initEReference, initEReference, initEReference, initEReference, initializeFromLoadedEPackage, setEFactoryInstance, setExtendedMetaData, setGeneratedClassName, setInstanceTypeName, setNamespaceURI, setNsPrefix, setNsURI, toString`

Methods inherited from class org.eclipse.emf.ecore.impl.ENamedElementImpl
`eContents, eCrossReferences, getName, getNameGen, setName`

Methods inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl
`eSetDirectResource, eURIFragmentSegment, freeze, getEAnnotation, getEAnnotations, isFrozen, setFrozen`

Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
`eBasicSetContainer, eInternalContainer`

Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl
`dynamicGet, dynamicSet, dynamicUnset, eAdapters, eBasicAdapterArray, eBasicAdapters, eBasicHasAdapters, eBasicProperties, eBasicSetAdapterArray, eBasicSetContainer, eBasicSetContainerFeatureID, eBasicSetSettings, eBasicSettings, eClass, eContainerFeatureID, eDeliver, eDirectResource, eDynamicClass, eHasSettings, eIsProxy, eProperties, eProxyURI, eSetClass, eSetDeliver, eSettings`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainerAdapterArray, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDynamicBasicRemoveFromContainer, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseRemove, eIsSet, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eSettingDelegate, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStore, eUnset, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.ecore.EPackage
`getEClassifier, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getNsPrefix, getNsURI, setEFactoryInstance, setNsPrefix, setNsURI`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Field Detail

### copyright

    public static final String copyright

  See Also:
    Constant Field Values

Method Detail

### init

    public static UMLPackage init()

  Creates, registers, and initializes the Package for this model, and for any others upon which it depends. Simple dependencies are satisfied by calling this method on all dependent packages before doing anything else. This method drives initialization for interdependent packages directly, in parallel with this package, itself.

  Of this package and its interdependencies, all packages which have not yet been registered by their URI values are first created and registered. The packages are then initialized in two steps: meta-model objects for all of the packages are created before any are initialized, since one package's meta-model objects may refer to those of another.

  Invocation of this method will not affect any packages that have already been initialized.

  See Also:
    `UMLPackage.eNS_URI`, `createPackageContents()`, `initializePackageContents()`

### getConstraint

    public EClass getConstraint()

  Specified by:
    `getConstraint` in interface `UMLPackage`
  Returns:
    the meta object for class 'Constraint'.
  See Also:
    `Constraint`

### getConstraint_InstanceVarName

    public EAttribute getConstraint_InstanceVarName()

  Specified by:
    `getConstraint_InstanceVarName` in interface `UMLPackage`
  Returns:
    the meta object for the attribute 'Instance Var Name'.
  See Also:
    `Constraint.getInstanceVarName()`, `UMLPackage.getConstraint()`

### getConstraint_Body

    public EReference getConstraint_Body()

  Specified by:
    `getConstraint_Body` in interface `UMLPackage`
  Returns:
    the meta object for the containment reference 'Body'.
  See Also:
    `Constraint.getBody()`, `UMLPackage.getConstraint()`

### getConstraint_ConstrainedElement

    public EReference getConstraint_ConstrainedElement()

  Specified by:
    `getConstraint_ConstrainedElement` in interface `UMLPackage`
  Returns:
    the meta object for the reference list 'Constrained Element'.
  See Also:
    `Constraint.getConstrainedElement()`, `UMLPackage.getConstraint()`

### getConstraint_Stereotype

    public EAttribute getConstraint_Stereotype()

  Specified by:
    `getConstraint_Stereotype` in interface `UMLPackage`
  Returns:
    the meta object for the attribute 'Stereotype'.
  See Also:
    `Constraint.getStereotype()`, `UMLPackage.getConstraint()`

### getCallOperationAction

    public EClass getCallOperationAction()

  Specified by:
    `getCallOperationAction` in interface `UMLPackage`
  Returns:
    the meta object for class 'Call Operation Action'.
  See Also:
    `CallOperationAction`

### getCallOperationAction_Operation

    public EReference getCallOperationAction_Operation()

  Specified by:
    `getCallOperationAction_Operation` in interface `UMLPackage`
  Returns:
    the meta object for the reference 'Operation'.
  See Also:
    `CallOperationAction.getOperation()`, `UMLPackage.getCallOperationAction()`

### getSendSignalAction

    public EClass getSendSignalAction()

  Specified by:
    `getSendSignalAction` in interface `UMLPackage`
  Returns:
    the meta object for class 'Send Signal Action'.
  See Also:
    `SendSignalAction`

### getSendSignalAction_Signal

    public EReference getSendSignalAction_Signal()

  Specified by:
    `getSendSignalAction_Signal` in interface `UMLPackage`
  Returns:
    the meta object for the reference 'Signal'.
  See Also:
    `SendSignalAction.getSignal()`, `UMLPackage.getSendSignalAction()`

### getTypedElement

    public EClass getTypedElement()

  Specified by:
    `getTypedElement` in interface `UMLPackage`
  Returns:
    the meta object for class 'Typed Element'.
  See Also:
    `TypedElement`

### getTypedElement_Type

    public EReference getTypedElement_Type()

  Specified by:
    `getTypedElement_Type` in interface `UMLPackage`
  Returns:
    the meta object for the reference 'Type'.
  See Also:
    `TypedElement.getType()`, `UMLPackage.getTypedElement()`

### getUMLFactory

    public UMLFactory getUMLFactory()

  Specified by:
    `getUMLFactory` in interface `UMLPackage`
  Returns:
    the factory that creates the instances of the model.

### createPackageContents

    public void createPackageContents()

  Creates the meta-model objects for the package. This method is guarded to have no affect on any invocation but its first.

### initializePackageContents

    public void initializePackageContents()

  Complete the initialization of the package and its meta-model. This method is guarded to have no affect on any invocation but its first.

Copyright 2002, 2007 IBM Corporation and others. All Rights Reserved.